package de.moritzruth.dracula_musical.song

import de.moritzruth.dracula_musical.device.BlinderBars
import de.moritzruth.dracula_musical.device.StairvilleSplb
import de.moritzruth.theaterdsl.show.SceneBuilderContext
import de.moritzruth.theaterdsl.show.StepCue
import de.moritzruth.theaterdsl.value.percent
import kotlin.time.Duration.Companion.minutes
import kotlin.time.Duration.Companion.seconds

fun SceneBuilderContext.songAdelIstGeil() {
    lightStep(StepCue.MusicStart("Adel ist geil", 2.minutes + 40.seconds)) {
        BlinderBars.all {
            it.brightness.fade(25.percent, 5.seconds)
            it.preset.static(StairvilleSplb.Preset.STUB)  // jumpy, green
            it.presetSpeed.static(40.percent)
        }
    }

    step(StepCue.MusicEnd) {
        BlinderBars.all { it.brightness.off(1.seconds) }
    }
}