package de.moritzruth.dracula_musical.song

import de.moritzruth.dracula_musical.device.BlinderBars
import de.moritzruth.dracula_musical.device.StairvilleSplb
import de.moritzruth.theaterdsl.show.SceneBuilderContext
import de.moritzruth.theaterdsl.show.StepCue
import de.moritzruth.theaterdsl.value.percent
import kotlin.time.Duration.Companion.minutes
import kotlin.time.Duration.Companion.seconds

fun SceneBuilderContext.songKaffeeklatsch() {
    step(StepCue.MusicStart("Kaffeeklatsch", 2.minutes + 35.seconds)) {
        BlinderBars.all {
            it.preset.static(StairvilleSplb.Preset.STUB)  // idk
            it.presetSpeed.static(50.percent)
            it.brightness.fade(25.percent, 4.seconds)
        }
    }

    step(StepCue.MusicEnd) {
        BlinderBars.all {
            it.brightness.off(1.seconds)
        }
    }
}