package de.moritzruth.theaterdsl.dmx

@JvmInline
/**
 * A **one-based** (with counting starting at 1) DMX address.
 */
value class DmxAddress(val value: UInt) : Comparable<UInt> {
    companion object {
        val VALUE_RANGE = 1u..512u
    }

    init {
        require(value in VALUE_RANGE) { "must be in 1..512" }
    }

    override fun compareTo(other: UInt): Int = value.compareTo(other)
}
